# tls.myCert

Identifies the certificate file the imdtls listener presents to peers. .. summary-end

This parameter applies to imdtls: Input Module for DTLS Protocol over UDP.

Name:

  tls.myCert

Scope:

  input

Type:

  string

Default:

  none

Required?:

  no

Introduced:

  v8.2402.0

## Description

Specifies the certificate file used by imdtls. This certificate is presented to peers during the DTLS handshake.

## Input usage

    module(load="imdtls")
    input(type="imdtls"
          tls.myCert="/etc/rsyslog/server.pem"
          tls.myPrivKey="/etc/rsyslog/server.key")

## See also

See also imdtls: Input Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.